Bug 1021790 - openstack-packstack: nova installation failed /etc/puppet/hiera.yaml not found, using Hiera defaults
openstack-packstack: nova installation failed /etc/puppet/hiera.yaml not foun...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
4.0
Unspecified Unspecified
unspecified Severity high
: ---
: 4.0
Assigned To: Martin Magr
Nir Magnezi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 02:20 EDT by Yogev Rabl
Modified: 2016-09-20 02:52 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-15 07:54:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
packstack answer file (12.99 KB, text/plain)
2013-10-22 02:22 EDT, Yogev Rabl
no flags Details
setup log (11.92 KB, text/x-log)
2013-10-22 02:24 EDT, Yogev Rabl
no flags Details

  None (edit)
Description Yogev Rabl 2013-10-22 02:20:47 EDT
Description of problem:
Packstack installation failed to install nova. 
the openstack answer file is attached along with the setup log

Version-Release number of selected component (if applicable):
openstack-packstack-2013.2.1-0.6.dev763.el6ost.noarch

How reproducible:
not everytimes

Steps to Reproduce:
1.
2.
3.

Actual results:
the installation failed

Expected results:
a successful installation

Additional info:
Comment 1 Yogev Rabl 2013-10-22 02:22:15 EDT
Created attachment 814860 [details]
packstack answer file
Comment 3 Yogev Rabl 2013-10-22 02:24:31 EDT
Created attachment 814862 [details]
setup log
Comment 4 Alvaro Lopez Ortega 2013-10-28 12:32:49 EDT
It seems the actual problem is a timeout rather than a Hiera related problem. It's going to be tricky to reproduce.

Yogev, any tip on how to get it to fail?
Comment 5 Martin Magr 2013-10-29 11:34:05 EDT
Alvaro is right, from the log I see that packstack failed with: 
[1;31mError: /Stage[main]//Exec[qemu-kvm]/returns: change from notrun to 0 failed: Command exceeded timeout[0m

Which means that following commands took more that 5 minute:
yum install -y qemu-kvm

Can you run that command manually as root?
Comment 6 Alvaro Lopez Ortega 2013-11-12 12:30:07 EST
Yogev, anything on this bug?  We haven't been able to reproduce it, and the needinfo flag was set almost 2 weeks ago.

Note You need to log in before you can comment on or make changes to this bug.